> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Calculate ramp fees from toAmount or fromAmount

> Calculate ramp fees from toAmount or fromAmount



## OpenAPI

````yaml post /ramp/breakdown
openapi: 3.0.3
info:
  title: GetPartna Api Documentation
  version: '3.0'
servers:
  - url: https://staging-api.getpartna.com/v4
  - url: https://api.getpartna.com/v4
security:
  - x-api-key: []
    x-api-user: []
  - authorization: []
tags:
  - description: user endpoints
    name: User
  - description: account endpoints
    name: Account
  - description: transfer endpoints
    name: Transfer
  - description: supported assets and networks
    name: Supported
  - description: discount endpoints
    name: Discount
  - description: rate endpoints
    name: Rate
  - description: KYC endpoints
    name: KYC
  - description: Multi-Factor Authentication endpoints
    name: MFA
  - description: ramp endpoints
    name: Ramp
  - description: pricing endpoints
    name: Pricing
  - description: banks
    name: Bank
  - description: mock endpoints for testing
    name: Mock
paths:
  /ramp/breakdown:
    post:
      tags:
        - Ramp
      summary: Calculate ramp fees from toAmount or fromAmount
      description: Calculate ramp fees from toAmount or fromAmount
      operationId: post-ramp-breakdown
      requestBody:
        content:
          application/json:
            schema:
              example:
                accountName: ''
                accountNumber: ''
                bankCode: ''
                cryptoAddress: ''
                fromAmount: 0
                fromCurrency: ''
                fromNetwork: ''
                rateKey: ''
                toAmount: 0
                toCurrency: ''
                toNetwork: ''
                type: ''
              properties:
                accountName:
                  description: accountname of the user (not bank account name)
                  type: string
                accountNumber:
                  type: string
                bankCode:
                  type: string
                cryptoAddress:
                  type: string
                fromAmount:
                  type: number
                fromCurrency:
                  enum:
                    - BTC
                    - ETH
                    - USDC
                    - USDT
                    - CUSD
                    - BNB
                    - NGN
                    - KES
                  type: string
                fromNetwork:
                  enum:
                    - avalanche
                    - binance
                    - bitcoin
                    - celo
                    - ethereum
                    - polygon
                    - tron
                    - solana
                    - naira
                    - mobileMoney
                    - mpesa
                    - kenyanshilling
                  type: string
                rateKey:
                  type: string
                toAmount:
                  type: number
                toCurrency:
                  enum:
                    - BTC
                    - ETH
                    - USDC
                    - USDT
                    - CUSD
                    - BNB
                    - NGN
                    - KES
                  type: string
                toNetwork:
                  enum:
                    - avalanche
                    - base
                    - binance
                    - bitcoin
                    - celo
                    - ethereum
                    - polygon
                    - tron
                    - solana
                    - naira
                    - mobileMoney
                    - mpesa
                    - kenyanshilling
                  type: string
                type:
                  description: >-
                    initiate offramp with cryptoToFiat type and onramp with
                    fiatToCrypto type
                  enum:
                    - fiatToCrypto
                    - cryptoToFiat
                  type: string
              required:
                - fromCurrency
                - fromNetwork
                - toCurrency
                - toNetwork
                - rateKey
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                example:
                  data:
                    DepositFeeCapped: false
                    DepositFeeInFromCurrency: 1000
                    DepositFeeInToCurrency: 0.597221725
                    DepositPercentageApplied: 0
                    MerchantFeeCapped: false
                    MerchantFeeInFromCurrency: 200
                    MerchantFeeInToCurrency: 0.11944434500000001
                    MerchantFeeUSD: 0.11944434500000001
                    MerchantPercentageApplied: 0.02
                    NetAmountInToCurrency: 5.2455
                    Rate: 0.000597221725
                    TotalAmountInFromCurrency: 10000
                    TotalAmountInToCurrency: 5.97221725
                    TotalFeesInFromCurrency: 1216.7441999870316
                    TotalFeesInToCurrency: 0.72666607
                    WithdrawalFeeInFromCurrency: 16.744199987031617
                    WithdrawalFeeInToCurrency: 0.01
                  message: success
                properties:
                  data:
                    properties:
                      DepositFeeCapped:
                        type: boolean
                      DepositFeeInFromCurrency:
                        type: number
                      DepositFeeInToCurrency:
                        type: number
                      DepositPercentageApplied:
                        type: number
                      MerchantFeeCapped:
                        type: boolean
                      MerchantFeeInFromCurrency:
                        type: number
                      MerchantFeeInToCurrency:
                        type: number
                      MerchantFeeUSD:
                        type: number
                      MerchantPercentageApplied:
                        type: number
                      NetAmountInToCurrency:
                        type: number
                      Rate:
                        type: number
                      TotalAmountInFromCurrency:
                        type: number
                      TotalAmountInToCurrency:
                        type: number
                      TotalFeesInFromCurrency:
                        type: number
                      TotalFeesInToCurrency:
                        type: number
                      WithdrawalFeeInFromCurrency:
                        type: number
                      WithdrawalFeeInToCurrency:
                        type: number
                    type: object
                  message:
                    type: string
                type: object
          description: post ramp breakdown ok
      security:
        - x-api-key: []
          x-api-user: []
        - authorization: []
components:
  securitySchemes:
    x-api-key:
      in: header
      name: x-api-key
      type: apiKey
    x-api-user:
      in: header
      name: x-api-user
      type: apiKey
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````